Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003219TestLinkTest Specificationpublic2010-02-25 00:412017-03-04 11:44
Reporteralbertdebruijn 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9 Beta 2 
Fixed in Version1.9.16 (2016 Q4) 
Summary0003219: Keyword isn't assigned when a Test Suite with Keyword is imported in the root suite
DescriptionKeyword isn't assigned when a Test Suite with Keyword is imported in the root suite

- Assign a Keyword to a Test Suite that isn't used in a second (other) Test Project.
- Export the Test Suite and select 'Export with keywords'.
- Import the Test Suite in the second Test Project in the root suite.
- The Test Suite and the Keyword are created, but the Keyword isn't assigned to the Test Suite.

If a Test Suite with unknown (not yet created in any project) Keyword is imported in a Test Suite under the root suite
then the Keyword is assigned to the Test Suite.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
BrowserFF 3.5.6
PHP Version5.2.3
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Files

- Relationships
child of 0007083new Mantis Issues proposed to be closed 

-  Notes
(0012739)
skilletaudio (reporter)
2010-11-28 18:08

Confirmed this in 1.9.0 release:

Created test suite with keywords assigned (also contains TC's).

Exported test suite.

Imported same to root suite - no keywords assigned on import.

Imported same to a lower test suite - all keywords assigned on import.
(0026058)
Mr.Bricodage (updater)
2017-03-02 21:16

> The Test Suite and the Keyword are created, but the Keyword isn't assigned to the Test Suite.

Import with TestLink 1.9.16.
Test Case : TC-1 : ok
Test Case : TC-2 : ok

- Keywords are created during import.
- Keywords are linked to TestCases created in the new "under root" TestSuite

==> No more issue, should be closed
(0026061)
fman (administrator)
2017-03-04 11:43

thanks a lot for your work

- Issue History
Date Modified Username Field Change
2010-02-25 00:41 albertdebruijn New Issue
2010-02-25 00:41 albertdebruijn Browser => FF 3.5.6
2010-02-25 00:41 albertdebruijn PHP Version => 5.2.3
2010-11-28 18:08 skilletaudio Note Added: 0012739
2017-03-02 21:16 Mr.Bricodage Note Added: 0026058
2017-03-02 21:26 Mr.Bricodage Relationship added child of 0007083
2017-03-04 11:43 fman Note Added: 0026061
2017-03-04 11:44 fman QA Team - Task Workflow Status => TBD
2017-03-04 11:44 fman Status new => closed
2017-03-04 11:44 fman Assigned To => fman
2017-03-04 11:44 fman Resolution open => fixed
2017-03-04 11:44 fman Fixed in Version => 1.9.16 (2016 Q4)



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker